### Hierarchy

- NonEmptyRowProps

## Index

### Properties

- cells
- childPath
- enableDown
- enableUp
- enabled
- moveDownCreator
- moveUpCreator
- path
- rowIndex
- schema
- showSortButtons

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

- Defined in packages/material/src/complex/MaterialTableControl.tsx:259

### childPath

childPath: string

- Defined in packages/material/src/complex/MaterialTableControl.tsx:250

### enableDown

enableDown: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:256

### enableUp

enableUp: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:255

### enabled

enabled: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:258

### moveDownCreator

moveDownCreator: (path: string, position: number) => () => void

- Defined in packages/material/src/complex/MaterialTableControl.tsx:254

#### Type declaration

- - (path: string, position: number): () => void

  - #### Parameters

    - ##### path: string

    - ##### position: number

    #### Returns () => void

    - - (): void

      - #### Returns void

### moveUpCreator

moveUpCreator: (path: string, position: number) => () => void

- Defined in packages/material/src/complex/MaterialTableControl.tsx:253

#### Type declaration

- - (path: string, position: number): () => void

  - #### Parameters

    - ##### path: string

    - ##### position: number

    #### Returns () => void

    - - (): void

      - #### Returns void

### path

path: string

- Defined in packages/material/src/complex/MaterialTableControl.tsx:260

### rowIndex

rowIndex: number

- Defined in packages/material/src/complex/MaterialTableControl.tsx:252

### schema

schema: JsonSchema

- Defined in packages/material/src/complex/MaterialTableControl.tsx:251

### showSortButtons

showSortButtons: boolean

- Defined in packages/material/src/complex/MaterialTableControl.tsx:257

Generated using TypeDoc